function [] = updateAvailablePlots()
%UPDATEAVAILABLEPLOTS Replots all opened edit plots.

global artoaGui;

plotsToUpdate = {'editTemperature', 'editPressure', 'editTimeOfArrival', 'trajectoryOutput'};
controllerPackageNames = {'temperature', 'pressure', 'timeOfArrival', 'trajectoryOutput'};
controllerCategoryNames = {'edit', 'edit', 'edit', 'track'};

for i = 1:length(plotsToUpdate)
    if ~isfield(artoaGui, plotsToUpdate{i})
        continue;
    end
    artoa.controller.(controllerCategoryNames{i}).(controllerPackageNames{i}).plot();
end

end

